#include "os.h"

int main()
{
    k_clear_screen();

    // GDT, IDT, ISRS, IRQ, timer, keyboard, paging, enable interrupts
    gdt_install();
    idt_install();
    isrs_install();
    irq_install();
    timer_install();
    keyboard_install();
    paging_install();
    sti();

    printformat("   ************************************************\n");
	printformat("   *          Welcome to PrettyOS 0.06            *\n");
	printformat("   *          Paging is activated                 *\n");
	printformat("   ************************************************\n");

    settextcolor(2,0);

	int y=20;
	while(TRUE)
	{
	    sleepSeconds(5);
	    if(y>24) y=24;
	    set_cursor(0,++y);
	    printformat("10 sec have passed");

	    if (y==24)
	    {
	        ULONG* address_ptr = (ULONG*)0xFFFFFFFF;
            ULONG  page_fault  = *address_ptr;
            printformat("%i \n", page_fault);
	    }
	};

	return 0;
};
